Could not perform immediate configuration (2) on libc6

Post Reply
nanalisa
Posts: 18
Joined: Sat Feb 11, 2012 7:24 am

Could not perform immediate configuration (2) on libc6

Post by nanalisa » Wed Feb 15, 2012 7:07 am

Hi everybody.

The firmware of my HMNHD is 2.064.
It is connected to my main router via Ethernet.

I am a newbie to linux server manipulation, so I was happy enough to find well explained HOW-TOs on the internet.
My target is to have SSH access to my HMNHD in order to be able to use rsync (later).

I finally managed to get telnet access.

Then I wanted to install Debian packets following the instructions in here:http://www.li-pro.de/soho/ihmnhd/start#telnetzugang

Code: Select all

mkdir /var/lib/apt/lists
mkdir /var/lib/apt/lists/partial
mkdir /var/cache/apt/archives
mkdir /var/cache/apt/archives/partial
mkdir /var/lib/dpkg/updates
mkdir /var/lib/dpkg/alternatives
mkdir /var/lib/dpkg/info
touch /var/lib/dpkg/status
touch /var/lib/dpkg/available
touch /var/lib/dpkg/diversions
and updating Debian Repositories puTTY shows the following:

Code: Select all

root@Iomega:~# apt-get update
Get:1 http://security.debian.org lenny/updates Release.gpg [836B]
Get:2 http://security.debian.org lenny/updates Release [92.4kB]
Get:3 http://security.debian.org lenny/updates/main Packages [322kB]
Get:4 http://mirrors.kernel.org lenny Release.gpg [1034B]
Get:5 http://security.debian.org lenny/updates/contrib Packages [750B]
Get:6 http://security.debian.org lenny/updates/main Sources [121kB]
Get:7 http://mirrors.kernel.org lenny Release [85.6kB]
Get:8 http://security.debian.org lenny/updates/contrib Sources [811B]
Ign http://mirrors.kernel.org lenny Release
Get:9 http://mirrors.kernel.org lenny/main Packages [5040kB]
Get:10 http://mirrors.kernel.org lenny/contrib Packages [64.0kB]
Get:11 http://mirrors.kernel.org lenny/non-free Packages [71.3kB]
Get:12 http://mirrors.kernel.org lenny/main Sources [2678kB]
Get:13 http://mirrors.kernel.org lenny/contrib Sources [44.6kB]
Get:14 http://mirrors.kernel.org lenny/non-free Sources [55.7kB]
Fetched 8578kB in 1min16s (113kB/s)
Reading package lists... Done
W: GPG error: http://mirrors.kernel.org lenny Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY AED4B06F473041FA
W: You may want to run apt-get update to correct these problems
root@Iomega:~#
So I tried the following:

Code: Select all

root@Iomega:~# sudo aptitude install debian-archive-keyring
Reading package lists... Done
Building dependency tree
Reading state information... Done
Reading extended state information
Initializing package states... Done
Writing extended state information... Done
The following NEW packages will be installed:
  apt{a} apt-utils{a} coreutils{a} debconf{a} debconf-i18n{a} debian-archive-keyring dpkg{a} gcc-4.3-base{a} gnupg{a} gpgv{a} libacl1{a} libattr1{a} libbz2-1.0{a}
  libc6{a} libdb4.6{a} libgcc1{a} libgcrypt11{a} libgnutls26{a} libgpg-error0{a} libgpm2{a} libldap-2.4-2{a} liblocale-gettext-perl{a} libncurses5{a}
  libreadline5{a} libsasl2-2{a} libsasl2-modules{a} libselinux1{a} libssl0.9.8{a} libstdc++6{a} libtasn1-3{a} libtext-charwidth-perl{a} libtext-iconv-perl{a}
  libtext-wrapi18n-perl{a} libusb-0.1-4{a} lzma{a} perl-base{a} readline-common{a} zlib1g{a}
0 packages upgraded, 38 newly installed, 0 to remove and 0 not upgraded.
Need to get 0B/19.9MB of archives. After unpacking 56.6MB will be used.
Do you want to continue? [Y/n/?] y
WARNING: untrusted versions of the following packages will be installed!

Untrusted packages could compromise your system's security.
You should only proceed with the installation if you are certain that
this is what you want to do.

  libstdc++6 libusb-0.1-4 libncurses5 libacl1 libselinux1 gcc-4.3-base liblocale-gettext-perl lzma libtext-charwidth-perl libtasn1-3 apt-utils coreutils libgcc1
  readline-common apt libgcrypt11 libgpm2 libgpg-error0 debian-archive-keyring libtext-iconv-perl zlib1g libtext-wrapi18n-perl libldap-2.4-2 gpgv libdb4.6 debconf
  debconf-i18n libattr1 libreadline5 gnupg

Do you want to ignore this warning and proceed anyway?
To continue, enter "Yes"; to abort, enter "No": Yes
Writing extended state information... Done
E: Internal Error, Could not perform immediate configuration (2) on libc6
A package failed to install.  Trying to recover:
Reading package lists... Done
Building dependency tree
Reading state information... Done
Reading extended state information
Initializing package states... Done
Writing extended state information... Done

root@Iomega:~#
So what can I do now to solve the problem of the internal error ("Could not perform immediate configuration (2) on libc6")?

Please bear in mind that I am a newbie to linux server manipulation and give detailed instructions.
Thank you very much in advance!

nanalisa
Posts: 18
Joined: Sat Feb 11, 2012 7:24 am

Re: Could not perform immediate configuration (2) on libc6

Post by nanalisa » Wed Feb 15, 2012 8:07 am

Me again.

I am very S O R R Y!!!

I just found this article which solved my problem.
http://iomega.nas-central.org/wiki/Gett ... et_to_work
Next time I will try to read and understand the other articles before I ask needless questions.

Thanks anyway!

Post Reply